#!/bin/bash

### BEGIN INIT INFO
# Provides: ICP DAS
# Required-Start:
# Required-Stop:
# Default-Start:	2 3 4 5
# Default-Stop:		0 1 6
# Short-Description:	ecat-m801 installer
### END INIT INFO
. /lib/lsb/init-functions 

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin  
INSTALL_PATH=/opt/icpdas/ecat_m801



case "$1" in  
  install)
	mkdir -p $INSTALL_PATH/
	if [ ! -d $INSTALL_PATH/include ];then
		mkdir -p $INSTALL_PATH/include/
	fi
	cp -r ./include/EcatDeviceAPI.h $INSTALL_PATH/include/
	
	if [ ! -d $INSTALL_PATH/module ];then
		mkdir -p $INSTALL_PATH/module/
	fi
	cp -r ./driver/ixecat.ko $INSTALL_PATH/module/
	cp -r ./driver/ixpciecat.ko $INSTALL_PATH/module/
	cp -r ./driver/ixecat.inst $INSTALL_PATH/module/
	cp -r ./driver/ixecat.remove $INSTALL_PATH/module/
	cp -r ./lib/ $INSTALL_PATH/
	cp -r ./script/ $INSTALL_PATH/
	cp ./script/ecat_m801 /etc/init.d/
	update-rc.d ecat_m801 defaults
	cp ./script/ecat_m801.conf /etc/ld.so.conf.d/
	ldconfig
	;;

  remove)
	if [ -e "$INSTALL_PATH" ];then	
		rm -r $INSTALL_PATH
	fi

	if [ -e /etc/init.d/ecat_m801 ];then	
		update-rc.d -f ecat_m801 remove	
	fi

	if [ -e /etc/ld.so.conf.d/ecat_m801.conf ];then	
		rm -f /etc/ld.so.conf.d/ecat_m801.conf
		ldconfig
	fi

	;;

	*)
    	echo "Usage: $0 {install|remove}" >&2
	exit 1
    	;;
esac

exit 0
