#pragma once
/*****************************************************************************/
/** ECAT2016 AI range code
 */
#define ECAT2016_AI_BI_10V						0		 		/**< Bipolar 10V (+-10V)*/
#define ECAT2016_AI_BI_5V						1		 		/**< Bipolar 5V (+-5V) */
#define ECAT2016_AI_BI_2_5V						2		 		/**< Bipolar 2.5V (+-2.5V) */
#define ECAT2016_AI_BI_1V						3		 		/**< Bipolar 1V (+-1V) */
#define ECAT2016_AI_BI_500mV					4		 		/**< Bipolar 500mV (+-500mV) */
#define ECAT2016_AI_BI_100mV					5		 		/**< Bipolar 100mV (+-100mV) */
#define ECAT2016_AI_BI_50mV						6		 		/**< Bipolar 50mV (+-50mV) */
#define ECAT2016_AI_BI_25mV						7		 		/**< Bipolar 25mV (+-25mV) */
#define ECAT2016_AI_BI_20mV						8		 		/**< Bipolar 20mV (+-20mV) */
#define ECAT2016_AI_BI_16mV						9		 		/**< Bipolar 16mV (+-16mV) */
#define ECAT2016_AI_BI_15mV						10		 		/**< Bipolar 15mV (+-15mV) */

typedef struct ecat_slave_aio_config{
	uint8_t 		Range;
	double			VoltScaling;
}ecat_slave_aio_config_t;

/*****************************************************************************/
/** Slave data
 */
typedef struct ecat_slave{
    ecat_slave_aio_config_t AioConfig;
}ecat_slave_t;
/*****************************************************************************/
/** Slave data struct
 */
typedef struct ecat_2016{
    int16_t Status;
    int16_t Value;
}ecat_2016_t;
